# List Staking Rewards

<EndpointPage
  breadcrumbs={[
    { label: "Trading", href: "/trading/trading" },
    { label: "Staking", href: "/trading/rest-api/staking" },
    { label: "List Staking Rewards" },
  ]}
  title="List Staking Rewards"
  method="POST"
  url="https://api.gemini.com/v1/staking/rewards"
  description="Returns historical staking reward payments and accruals, grouped by provider and currency."
  example={{
    request: {
      method: "POST",
      url: "https://api.gemini.com/v1/staking/rewards",
      headers: [
        { name: "X-GEMINI-APIKEY", value: "<string>" },
        { name: "X-GEMINI-PAYLOAD", value: "<string>" },
        { name: "X-GEMINI-SIGNATURE", value: "<string>" },
      ],
      body: {
        request: "/v1/staking/rewards",
        nonce: "<nonce>",
        since: "2022-08-20T00:00:00.000Z",
        until: "2022-11-05T00:00:00.000Z",
        providerId: "62b21e17-2534-4b9f-afcf-b7edb609dd8d",
        currency: "ETH",
      },
    },
  }}
  sections={[
    {
      heading: "Roles",
      children: (
        <p style={{ margin: 0 }}>The API key you use to access this endpoint must have the Trader, Fund Manager, or Auditor role assigned. See <a href="https://docs.gemini.com/roles#roles" style={{ color: "inherit", textDecorationLine: "underline" }}>Roles</a> for more information.</p>
      ),
    },
    {
      heading: "Headers",
      children: <SpecHeaders operationId="listStakingRewards" />,
    },
    {
      heading: "Request Body",
      children: <SpecParams operationId="listStakingRewards" />,
    },
    {
      heading: "Responses",
      children: <SpecResponses operationId="listStakingRewards" />,
    },
  ]}
/>

<PageNavigation
  prev={{ label: "List Staking Rates", href: "/trading/rest-api/staking/list-staking-rates" }}
  next={{ label: "Clearing", href: "/trading/rest-api/clearing" }}
/>
